package com.brilliance.controller;

import com.brilliance.entity.Smqinf;
import com.brilliance.mapper.SmqinfMapper;
import com.brilliance.vo.Result;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

/*
*
 * @Description
 * @Author gechengyang
 * @Date 2023/10/23
*/


@RestController
@RequestMapping("/smqinf")
public class SmqInfController {
    private Logger logger = LoggerFactory.getLogger(this.getClass());

    @Autowired
    private  SmqinfMapper smqinfMapper;

  /*  @Autowired
    public SmqInfController(SmqinfMapper smqinfMapper) {
        this.smqinfMapper = smqinfMapper;
    }
*/




    @GetMapping("/get")
    //localhost:8085/smqinf/get?id=123&nam=zhangsan
    public Result testParams(@RequestParam("id") String id,@RequestParam("nam") String paramName){
        System.out.println("id==="+id);
        System.out.println("name==="+paramName);
        return  new Result(id+"..."+paramName);
    }

    @GetMapping("/get1")
    //localhost:8085/smqinf/get?id=123&nam=zhangsan
    public Result testParams1(@RequestParam Map<String,Object> requestMap){
        System.out.println("requesMap=="+requestMap);
        return  new Result(requestMap);
    }

    @PostMapping("/post2/{inr}/{nam}")
    public Result testPathVariable(@PathVariable String inr,@PathVariable String nam) {

        Smqinf smqinf=smqinfMapper.selectByPrimaryKey(inr);


        return new Result(smqinf);
    }

    @PostMapping("/post")
    public Result getSmqInfo(@RequestBody Smqinf requestSmqInf) {
        String inr=requestSmqInf.getInr();

        System.out.println("test...test...");
        Smqinf smqinf=smqinfMapper.selectByPrimaryKey(inr);

        return new Result(smqinf);
    }


    // 请求头
    @GetMapping("/header")
    public String getWithHeader(@RequestHeader("tokenid") String header) {
        return "Header: " + header;
    }

    @GetMapping("/header1")
    public Map getWithHeader(@RequestHeader Map map) {
        return  map;
    }
}
