package com.brilliance.interceptor;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.InterceptorRegistration;
import org.springframework.web.servlet.config.annotation.InterceptorRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

@Configuration
public class WebConfig implements WebMvcConfigurer {

    @Bean
    public AuthInterceptor getAuthInterceptor() {
        return new AuthInterceptor();
    }

    @Override
    public void addInterceptors(InterceptorRegistry registry) {
        //添加认证拦截器
        InterceptorRegistration tokenInterceptorRegistration = registry.addInterceptor(getAuthInterceptor());
        tokenInterceptorRegistration.addPathPatterns("/**");
        tokenInterceptorRegistration.excludePathPatterns("/login");
    }

}
